Skip Navigation

Search

KDE @lemmy.kde.social
alecs1 @lemmy.kde.social

Amarok: how to recover statistics database lost in transition 2.9 -> 3.x

Some time ago (I think january) Amarok, was updated in Debian, from 2.9.x to 3.x (now it is 3.2.2). After the upgrade Amarok no longer showed the things from the database (lyrics, listen counts, etc).

I would like to restore the statistics database but I did not find the steps. Could you point me to the right instructions, or provide some advice about how to work on this?

KDE @lemmy.kde.social
TheTwelveYearOld @lemmy.world

Taking region screenshots faster?

Edit: I edited the script to take a screenshot asynchronously, get the region with slurp, and use magickto crop it. I also multiply the values from slurp 2x to account for the 200% display scaling I have.

 undefined
    
  #!/bin/bash 

    die(){
    notify-send "$1"
    exit 1
  }
  cleanup(){
    [[ -n $1 ]] && rm -r "$1"
  }
  SCR_IMG=$(mktemp -d) || die "failed to take screenshot"
  trap "cleanup '$SCR_IMG'" EXIT

    spectacle -nbo "$SCR_IMG/scr.tiff" &
    region=($(slurp -b "#00000000" -c "#80808080" -w 2 -f "%w %h %x %y"))
    for i in "${!region[@]}" 
    do
        region[i]=$(expr ${region[i]} "*" "2")
    done
    magick "$SCR_IMG/scr.tiff" -crop "${region[0]}x${region[1]}+${region[2]}+${region[3]}" "$SCR_IMG/scr.tiff" 

    tesseract "$SCR_IMG/scr.tiff" "$SCR_IMG/scr" &> /dev/null || die "failed to extract text"
  wl-copy < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"
  notify-send "Text extracted from image" "$(head -c 100 "$SCR_IMG/scr.txt")" || die "failed to send notification"
  exit

  
KDE @lemmy.kde.social
tomatoely @sh.itjust.works

How do I troubleshoot dolphin's custom service menus?

Hi everyone! I recently created a custom service menu for the Dolphin file manager, but unfortunately, it doesn't seem to be working as expected.

My goal is to have a menu to convert image file formats quickly with image magick.

Here is the .desktop file I managed to arrange

 bash
    
[Desktop Entry]
Type=Service
Name=Convert Image
Icon=gtk-convert
MimeType=image/png;image/jpg;image/jpeg;image/ico;image/heic;image/svg;image/webp;
Actions=topng;tojpg;toico;towebp
X-KDE-Submenu=Convert Image

[Desktop Action topng]
Name=To Png
Exec=sh -c 'FILE="%f"; DIRECTORY="$(dirname $FILE)"; FILENAME="${FILE%.*}"; magick "$FILE" -format png "$DIRECTORY/$FILENAME.png"'

[Desktop Action tojpg]
Name=To Jpg
Exec=sh -c 'FILE="%f"; DIRECTORY="$(dirname $FILE)"; FILENAME="${FILE%.*}"; magick "$FILE" -format jpg "$DIRECTORY/$FILENAME.jpg"'

[Desktop Action toico]
Name=To Ico
Exec=sh -c 'FILE="%f"; DIRECTORY="$(dirname $FILE)"; FILENAME="${FILE%.*}"; magick "$FILE" -format ico "$DIRECTORY/$FILENAME.ico"'

[D
  
KDE @lemmy.kde.social
TheTwelveYearOld @lemmy.world

Adding a custom refresh rate or cvt modeline to KDE Wayland?

Edit: I got answers on the Fedora forum and used this command in my parallels VM and restarted: sudo grubby --update-kernel=ALL --args=video=Virtual-1:3456x2234@120.

I'm trying to get a custom resolution & refresh rate in KDE Wayland. I can get 120hz working on X11 by getting a modeline with cvt 4112 2572 120 and using xrandr commands, but how about Wayland? Perhaps be done with kscreen-doctor?___

KDE @lemmy.kde.social
peregus @lemmy.world

Konsole menu is missing

I want to add a shortcut to create new tab in Konsole, but I want it to be local and not global (CTRL+T is already used by another application). I've searched and it seems that I need to go to Settings → Configure Keyboard Shortcuts, but I don't have the settings anywhere. I read that I should have a menu bar, but...I don't. What's going on with my Konsole??? Thanks!

KDE @lemmy.kde.social
f4f4f4f4f4f4f4f4 @sopuli.xyz

Can't get HDMI 4K on my TV with KDE Plasma & Wayland

[SOLVED] Vizio TV owners: You may need to manually turn on "Full HD Color" to get 4K@60Hz resolutions available! Oddly, this wasn't necessary for X11-based distros tested, but was required for Wayland-based distros tested...

Menu > Input Settings > HDMI-1 > Full UHD Color. It defaults to Off for some reason. 🤦‍♂️

When I was on Debian Bookworm and X11, I could only get 4K video at 30Hz from my GTX 980 Ti. I eventually upgraded from the HDMI cable that came with the 4K Vizio TV to a good brand HDMI 2.1 cable, then both [email protected] and [email protected] were available and working. (I think 3840 is the TV's native, there were more artifacts on text at 4096.)

I had some issues with Wine games on Debian that I couldn't figure out, and wanted to try some newer/different software, so I went distro-hopping. On both Nobara and currently EndeavourOS, both with KDE and Wayland, I'm back to only having 4K@30Hz available.

Edit: One strange detail I just remembered: Normally, the TV identi

KDE @lemmy.kde.social
Matty_r @programming.dev

Changes paths as listed in kf5-config, deprecated configs?

Hey all, not sure how I managed this, but over the years I somehow managed to configure different paths which are listed in kf5-config. The for instance the cache path should be /home/matt/.cache, but kf5-config lists it in /mnt/data/matt/home/.cache. I'm sure this was intentional at one point but now i'm trying to fix up my partitions.

So my question is - how do I change the paths listed in kf5-config to where it should be on the root partition (/home/matt/...)?. I'll move the actual data from where it is onto the root partition, I just need to know how to change that paths are configured in kf5-config.

Cheers

kf5-config paths:

 undefined
    
cache:
/mnt/data/matt/home/.cache/
config:
/mnt/data/matt/home/.config/:/mnt/data/matt/home/.config/kdedefaults/:/etc/xdg/
data:
/mnt/data/matt/home/.local/share/:/usr/share/:/usr/local/share/
emoticons:
/mnt/data/matt/home/.local/share/emoticons/:/usr/share/emoticons/
exe:
/usr/lib/libexec/:/usr/bin/
html:
/mnt/data/matt/home/.local/share/doc/HTML/:/usr
  
KDE @lemmy.kde.social
Shady_Shiroe @lemmy.world

What happened to my background/desktop?

After an update I noticed discover was this weird yellow color, I opened settings and noticed it too was yellow, thinking it was some bug, I restarted PC, now everything is yellow. I tried inverting colors but that is something completely different. I'm not even sure what was updated to cause this.

I'm running mint 21.3 with plasma 5.27.11

KDE @lemmy.kde.social
KaKi87 @jlai.lu

Black OBS capture on KDE neon 6

Hi,

On KDE neon 6 using Wayland, OBS 30.1.2 is black when trying "Screen Capture (PipeWire)" or "Window Capture (PipeWire)", when launching from terminal, the following line stands out :

error: [pipewire] Error retrieving pipewire fd: GDBus.Error:org.freedesktop.DBus.Error.NoReply: Message recipient disconnected from message bus without replying

When asking the OBS community, I'm told :

Sounds like a broken PipeWire and/or xdg-desktop-portal install. That would be a question for your distro's support channels

What to do ?

Thanks


SOLVED : the xdg-desktop-portal package crashes since v1.18.3 (see issue report), so downgrading it fixes this.

KDE @lemmy.kde.social
Allero @lemmy.today

Is there a way to make panel NOT float in Plasma 6?

Just updated to Plasma 6, and got a question: is there a way to make the bottom panel keep at the bottom (like when fullscreen windows are opened) and not float regardless of windows?

Just always stay there without moving, like in Plasma 5.

Or is it dictated by the theme/hardcoded into Plasma 6?

KDE @lemmy.kde.social
cholesterol @lemmy.world

Is there any way to change this order in the Application Launcher?

... Update: Yes! If you favorite at item, it takes priority in the search results...

KDE @lemmy.kde.social
Lunch @lemmy.world

How can I add "Sleep" and "Hibernate" options alongside these three options?

Title says it really, I really want to have both the sleep and hibernate option added to this part of my setup, but how? I use the Application Dashboard for when I click the meta button.

Am on NixOS if that has anything to say in the matter.

KDE @lemmy.kde.social
DeltaWingDragon @sh.itjust.works

KMail reading pane

How do I get the preview pane in KMail to stay the same size? I can resize it, but whenever I restart the app, the preview pane is back to the default size.

KDE @lemmy.kde.social
QuazarOmega @lemy.lol

How do I make sessions save the chosen folder?

There's something I don't understand here: why when I do "Open Folder" and then save the session, closing it and opening it again I'm left with nothing?
Instead, if I open some files in subdirectories, the next time I reopen the session I'm just presented with the parent folders of those files, but I really needed to have the topmost directory to be able to access the whole tree structure whenever I reopen the session.

Is it possible? Or do I have to make a project?